//
//  FilterProtocol.swift
// Pachyderm
//
//  Created by Shadowfacts on 12/2/22.
//

import Foundation

public protocol FilterProtocol {
    var id: String { get }
    var phrase: String { get }
    var contexts: [Filter.Context] { get }
    var expiresAt: Date? { get }
    var irreversible: Bool { get }
    var wholeWord: Bool { get }
}
